Eclipse Draw2d 3.3

## org.eclipse.draw2d.widgets
Class MultiLineLabel

    java.lang.Object
      Canvas
          org.eclipse.draw2d.FigureCanvas
              org.eclipse.draw2d.widgets.MultiLineLabel

public final class MultiLineLabel
extends FigureCanvas

A widget for displaying a multi-line string. The label will have a vertical or horizontal scrollbar when needed. Unlike the platform Label, this label is focusable and accessible to screen-readers.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.eclipse.draw2d.FigureCanvas
`ALWAYS, AUTOMATIC, NEVER`

Constructor Summary
`MultiLineLabel(Composite parent)` Constructs a new MultiLineLabel with the given parent.

Method Summary
`Image` `getImage()`
`String` `getText()` Returns the text in this label.
`void` `setEnabled(boolean enabled)`
`void` `setFont(Font font)`
`void` `setImage(Image image)`
`void` `setText(String text)` Sets the text for this label.

Methods inherited from class org.eclipse.draw2d.FigureCanvas
`computeSize, getContents, getFont, getHorizontalScrollBarVisibility, getLightweightSystem, getVerticalScrollBarVisibility, getViewport, scrollSmoothTo, scrollTo, scrollToX, scrollToY, setBorder, setContents, setHorizontalScrollBarVisibility, setScrollBarVisibility, setVerticalScrollBarVisibility, setViewport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiLineLabel

    public MultiLineLabel(Composite parent)

  Constructs a new MultiLineLabel with the given parent.

Parameters:
  `parent` - the parent

Method Detail

### setEnabled

    public void setEnabled(boolean enabled)

  See Also:
    `Control`

### getImage

    public Image getImage()

  Returns:
    the Image for this label, or `null` if there is none
  See Also:
    `setImage(Image)`

### getText

    public String getText()

  Returns the text in this label.

  Returns:
    the text

### setFont

    public void setFont(Font font)

  Overrides:
    `setFont` in class `FigureCanvas`
  See Also:
    `Canvas`

### setImage

    public void setImage(Image image)

  Parameters:
    `image` - The `Image` to be used for this label. It can be `null`.

### setText

    public void setText(String text)

  Sets the text for this label.

  Parameters:
    `text` - the new text

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.